Perl(3pm)

NAME
Term::Size::Perl - Perl extension for retrieving terminal size (Perl version)

SYNOPSIS
    use Term::Size::Perl;

    ($columns, $rows) = Term::Size::Perl::chars *STDOUT{IO};
    ($x, $y) = Term::Size::Perl::pixels;

DESCRIPTION
Yet another implementation of "Term::Size". Now in pure Perl, with the exception of a C probe run on build time.

  FUNCTIONS

chars
        ($columns, $rows) = chars($h);
        $columns = chars($h);

    "chars" returns the terminal size in units of characters corresponding to the given filehandle $h. If the argument is omitted, *STDIN{IO} is used. In scalar context, it returns the terminal width.

pixels
        ($x, $y) = pixels($h);
        $x = pixels($h);

    "pixels" returns the terminal size in units of pixels corresponding to the given filehandle $h. If the argument is omitted, *STDIN{IO} is used. In scalar context, it returns the terminal width.

    Many systems with character-only terminals will return "(0, 0)".

SEE ALSO
It all began with Term::Size by Tim Goodwin. You may want to have a look at:

Term::Size

Term::Size::Win32

Term::Size::ReadKey

Please reports bugs via GitHub, <https://github.com/aferreira/cpan-Term-Size-Perl/issues>. When reporting bugs, it may be helpful to attach the Params.pm generated by the probe at build time.

AUTHOR
Adirano Ferreira, <ferreira@cpan.org>

COPYRIGHT AND LICENSE
Copyright (C) 2006-2007, 2017-2018 by Adriano Ferreira

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.